Index: lib/style/skins/sanparks/upload.jsp
===================================================================
--- lib/style/skins/sanparks/upload.jsp	(revision 4079)
+++ lib/style/skins/sanparks/upload.jsp	(revision 4080)
@@ -39,7 +39,7 @@
             function getMapFrame() {
                 return document.getElementById('mapFrame');
             }
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <jsp:include page="SaeonUpload.jspx" />
@@ -47,7 +47,7 @@
         <script language="JavaScript">
             //insertLoginBox();
             //insertSearchBox();
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/sanparks/confirm.jsp
===================================================================
--- lib/style/skins/sanparks/confirm.jsp	(revision 4079)
+++ lib/style/skins/sanparks/confirm.jsp	(revision 4080)
@@ -36,7 +36,7 @@
     </head>
     <body>
         <script language="JavaScript">
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <!-- Main content -->
@@ -44,7 +44,7 @@
         
         <!-- wrap it up with the closing -->
         <script language="JavaScript">
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/sanparks/index.jsp
===================================================================
--- lib/style/skins/sanparks/index.jsp	(revision 4079)
+++ lib/style/skins/sanparks/index.jsp	(revision 4080)
@@ -36,7 +36,7 @@
     </head>
     <body>
         <script language="JavaScript">
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <!-- Main content -->
@@ -44,7 +44,7 @@
         
         <!-- wrap it up with the closing -->
         <script language="JavaScript">
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/kepler/index.jsp
===================================================================
--- lib/style/skins/kepler/index.jsp	(revision 4079)
+++ lib/style/skins/kepler/index.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
   
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -44,8 +45,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -158,7 +159,7 @@
 </table>
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/default/include_login.jsp
===================================================================
--- lib/style/skins/default/include_login.jsp	(revision 4079)
+++ lib/style/skins/default/include_login.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page     language="java" %>
+<%@ page     language="java"  import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <!--
 /**
   *  '$RCSfile$'
@@ -30,6 +30,11 @@
 
 <%@ include file="settings.jsp"%>
 <%@ include file="session_vars.jsp"%>
+
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
 <!-- *********************** START LOGIN TABLE ************************* -->
 <html>
 <head>
@@ -97,7 +102,7 @@
                 <p>
                   Logging into your account enables you to search any 
                   additional, non-public data for which you may have access 
-                  priviliges:
+                  privileges:
                 </p>
                 <%= loginStatus %>
             </td>
@@ -142,13 +147,14 @@
                     style="padding-top: 2px; padding-bottom: 2px;">
                     <select name="organization" style="width:140px;" 
                       <%=loginEnabledDisabled%> >
-                      <option value="" <%=((posted_organization.length()<1)?                 "selected":"")%>>&#8212; choose one &#8212;</option>
-                      <option value="NCEAS" <%=((posted_organization.equalsIgnoreCase("NCEAS"))?        "selected":"")%>>NCEAS</option>
-                      <option value="LTER"         <%=((posted_organization.equalsIgnoreCase("LTER"))?         "selected":"")%>>LTER</option>
-                      <option value="NRS"          <%=((posted_organization.equalsIgnoreCase("NRS"))?          "selected":"")%>>NRS</option>
-                      <option value="PISCO"        <%=((posted_organization.equalsIgnoreCase("PISCO"))?        "selected":"")%>>PISCO</option>
-                      <option value="OBFS"         <%=((posted_organization.equalsIgnoreCase("OBFS"))?         "selected":"")%>>OBFS</option>
-                      <option value="unaffiliated" <%=((posted_organization.equalsIgnoreCase("unaffiliated"))? "selected":"")%>>unaffiliated</option>
+                      <option value="" <%=((posted_organization.length()<1)?     "selected":"")%>>&#8212; choose one &#8212;</option>
+<%
+			for (String orgName : organizationList) {
+%>         
+                      <option value="<%= orgName %>"   <%=((posted_organization.equalsIgnoreCase(orgName))?     "selected":"")%>><%= orgName %></option>
+<%
+			}
+%>                      
                     </select>
                   </td>
                   <td width="10px">
Index: lib/style/skins/ltss/header.jsp
===================================================================
--- lib/style/skins/ltss/header.jsp	(revision 4079)
+++ lib/style/skins/ltss/header.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
  
 <!--____________________________max_width____________________________________-->
Index: lib/style/skins/knp/searchform.jsp
===================================================================
--- lib/style/skins/knp/searchform.jsp	(revision 4079)
+++ lib/style/skins/knp/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/obfs/header.jsp
===================================================================
--- lib/style/skins/obfs/header.jsp	(revision 4079)
+++ lib/style/skins/obfs/header.jsp	(revision 4080)
@@ -26,6 +26,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <!--____________________________max_width____________________________________-->
 
Index: lib/style/skins/nceas/settings.jsp
===================================================================
--- lib/style/skins/nceas/settings.jsp	(revision 4079)
+++ lib/style/skins/nceas/settings.jsp	(revision 4080)
@@ -30,6 +30,7 @@
  %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <% 
 
Index: lib/style/skins/obfs/spatial/map.jsp
===================================================================
--- lib/style/skins/obfs/spatial/map.jsp	(revision 4079)
+++ lib/style/skins/obfs/spatial/map.jsp	(revision 4080)
@@ -29,6 +29,7 @@
 %>
 
 <%@ include file="../../../common/common-settings.jsp"%>
+<%@ include file="../../../common/configure-check.jsp"%>
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <html>
Index: lib/style/skins/nceas/index.jsp
===================================================================
--- lib/style/skins/nceas/index.jsp	(revision 4079)
+++ lib/style/skins/nceas/index.jsp	(revision 4080)
@@ -138,7 +138,7 @@
       <p align="center"></p>
       <table width="100%"  border="0" align="center" >
         <tr>
-          <td width="110" class="templatecontentareaclass"><a href="http://knb.ecoinformatics.org/morphoportal.jsp"><img src="<%=SERVER_URL_WITH_CONTEXT%>/style/images/MorphoButterfly.jpg" alt="Morpho Software Butterfly" width="100" height="100" border="0" ></a></td>
+          <td width="110" class="templatecontentareaclass"><a href="http://knb.ecoinformatics.org/morphoportal.jsp"><img src="<%=CONTEXT_URL%>/style/images/MorphoButterfly.jpg" alt="Morpho Software Butterfly" width="100" height="100" border="0" ></a></td>
           <td width="550" valign="top" class="templateleftcolclass"><p >Use <a href="http://knb.ecoinformatics.org/morphoportal.jsp"><span class="style2">Morpho</span></a> software to register, document and upload data sets. </p>
               <p>Morpho is a data management tool for ecologists. It was created to provide an easy-to-use, cross-platform application for accessing and manipulating metadata (e.g. documentation) and data (both locally and on the network). Morpho allows ecologists to create metadata, (i.e. describe their data in a standardized format), and create a catalog of data and metadata upon which to query, edit and view data collections. In addition, Morpho provides the means to access network servers, in order to query, view and retrieve relevant, public ecological data!</p></td>
         </tr>
Index: lib/style/skins/knb2/harvesterRegistrationLogin.jsp
===================================================================
--- lib/style/skins/knb2/harvesterRegistrationLogin.jsp	(revision 4079)
+++ lib/style/skins/knb2/harvesterRegistrationLogin.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java" import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <%
 /**
  * '$RCSfile$'
@@ -24,7 +24,11 @@
  */
  %>
 
- <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/common-settings.jsp"%>
+ 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%> 
 
 <html> 
 <head>
@@ -41,7 +45,7 @@
 
 <form name="myform" 
       method="POST" 
-      action="<%=SERVER_URL_WITH_CONTEXT%>/harvesterRegistrationLogin">
+      action="<%=CONTEXT_URL%>/harvesterRegistrationLogin">
 
 <table width=400 align=center cellspacing=1 cellpadding=1 
        border=0 bgcolor="#333366">
@@ -75,13 +79,13 @@
             </font>
           </td>
           <td>
-            <input type="radio" name="o" value="NCEAS">NCEAS
-            <input type="radio" name="o" value="LTER">LTER
-            <input type="radio" name="o" value="NRS">NRS
-            <br>
-            <input type="radio" name="o" value="PISCO">PISCO
-            <input type="radio" name="o" value="OBFS">OBFS
-            <input type="radio" name="o" value="Unaffiliated">Unaffiliated
+<%
+		for (String orgName : organizationList) {
+%>  
+            <input type="radio" name="o" value="<%= orgName %>"><%= orgName %>
+<%
+			}
+%> 
         </tr>
         <tr>
           <td width='10%'> &nbsp;</td>
Index: lib/style/skins/specnet/index.jsp
===================================================================
--- lib/style/skins/specnet/index.jsp	(revision 4079)
+++ lib/style/skins/specnet/index.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
  
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -44,8 +45,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -101,7 +102,7 @@
 </table>
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/nrs/header.jsp
===================================================================
--- lib/style/skins/nrs/header.jsp	(revision 4079)
+++ lib/style/skins/nrs/header.jsp	(revision 4080)
@@ -25,6 +25,7 @@
  %>
 
  <%@ include file="../../common/common-settings.jsp"%>
+ <%@ include file="../../common/configure-check.jsp"%>
 
 <!--____________________________max_width____________________________________-->
 
Index: lib/style/skins/nrs/spatial/map.jsp
===================================================================
--- lib/style/skins/nrs/spatial/map.jsp	(revision 4079)
+++ lib/style/skins/nrs/spatial/map.jsp	(revision 4080)
@@ -29,6 +29,7 @@
 %>
 
 <%@ include file="../../../common/common-settings.jsp"%>
+<%@ include file="../../../common/configure-check.jsp"%>
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <html>
Index: lib/style/skins/saeon/confirm.jsp
===================================================================
--- lib/style/skins/saeon/confirm.jsp	(revision 4079)
+++ lib/style/skins/saeon/confirm.jsp	(revision 4080)
@@ -36,7 +36,7 @@
     </head>
     <body>
         <script language="JavaScript">
-            insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateOpening("<%=CONTEXT_URL%>");
         </script>
         
         <!-- Main content -->
@@ -44,7 +44,7 @@
         
         <!-- wrap it up with the closing -->
         <script language="JavaScript">
-            insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+            insertTemplateClosing("<%=CONTEXT_URL%>");
         </script>
     </body>
 </html>
Index: lib/style/skins/lter/index_login.jsp
===================================================================
--- lib/style/skins/lter/index_login.jsp	(revision 4079)
+++ lib/style/skins/lter/index_login.jsp	(revision 4080)
@@ -55,9 +55,9 @@
 
   <body>
     <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
     insertLoginBox("<%= loginFailure %>");
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
   </script>
   </body>
 
Index: lib/style/skins/lter/index.jsp
===================================================================
--- lib/style/skins/lter/index.jsp	(revision 4079)
+++ lib/style/skins/lter/index.jsp	(revision 4080)
@@ -51,9 +51,9 @@
 
   <body>
     <script language="javascript">
-	  insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-	  insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
-      insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+	  insertTemplateOpening("<%=CONTEXT_URL%>");
+	  insertSearchBox("<%=CONTEXT_URL%>");
+      insertTemplateClosing("<%=CONTEXT_URL%>");
     </script>
   </body>
 </html>
Index: lib/style/skins/esa/header.jsp
===================================================================
--- lib/style/skins/esa/header.jsp	(revision 4079)
+++ lib/style/skins/esa/header.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <html>
 <head>
Index: lib/style/skins/esa/index.jsp
===================================================================
--- lib/style/skins/esa/index.jsp	(revision 4079)
+++ lib/style/skins/esa/index.jsp	(revision 4080)
@@ -29,6 +29,7 @@
  %>
 
  <%@ include file="../../common/common-settings.jsp"%>
+ <%@ include file="../../common/configure-check.jsp"%>
  
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -126,8 +127,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -276,7 +277,7 @@
 </table>
 
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/account/index.jsp
===================================================================
--- lib/style/skins/account/index.jsp	(revision 4079)
+++ lib/style/skins/account/index.jsp	(revision 4080)
@@ -29,6 +29,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
    
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -43,8 +44,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -74,7 +75,7 @@
 </table>
 
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/knb2/index.jsp
===================================================================
--- lib/style/skins/knb2/index.jsp	(revision 4079)
+++ lib/style/skins/knb2/index.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page    language="java" %>
+<%@ page    language="java"  import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 <%
  /**
   *  '$RCSfile$'
@@ -32,8 +32,12 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
 <%
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -112,7 +116,7 @@
           <td class="text_plain"><%@ include file="include_searchbox.jsp" %></td>
         </tr>
 
-	<% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
+	<% if ( PropertyService.getProperty("runSpatialOption").equals("true") ) { %>
         <tr>
           <td class="text_plain"><%@ include file="include_map.jsp" %></td>
         </tr>
@@ -163,14 +167,13 @@
                                 <select name="organization" style="width:140px;" <%=loginEnabledDisabled%>>
                                   <option value=""       <%=((posted_organization.length()<1)?                 "selected":"")%>>&#8212;
                                   choose one &#8212;</option>
-                                  <option value="NCEAS"        <%=((posted_organization.equalsIgnoreCase("NCEAS"))?        "selected":"")%>>NCEAS</option>
-                                  <option value="LTER"         <%=((posted_organization.equalsIgnoreCase("LTER"))?         "selected":"")%>>LTER</option>
-                                  <option value="UCNRS"          <%=((posted_organization.equalsIgnoreCase("UCNRS"))?          "selected":"")%>>UCNRS</option>
-                                  <option value="PISCO"        <%=((posted_organization.equalsIgnoreCase("PISCO"))?        "selected":"")%>>PISCO</option>
-                                  <option value="OBFS"         <%=((posted_organization.equalsIgnoreCase("OBFS"))?         "selected":"")%>>OBFS</option>
-                                  <option value="SDSC"         <%=((posted_organization.equalsIgnoreCase("SDSC"))?         "selected":"")%>>SDSC</option>
-                                  <option value="KU"         <%=((posted_organization.equalsIgnoreCase("KU"))?         "selected":"")%>>KU</option>
-                                  <option value="unaffiliated" <%=((posted_organization.equalsIgnoreCase("unaffiliated"))? "selected":"")%>>unaffiliated</option>
+<%
+							for (String orgName : organizationList) {
+%> 
+                                  <option value="<%= orgName %>"        <%=((posted_organization.equalsIgnoreCase(orgName))?        "selected":"")%>><%= orgName %></option>
+<%
+							}
+%> 
                                 </select></td>
                             </tr>
                             <tr valign="middle">
Index: lib/style/skins/nrs/index.jsp
===================================================================
--- lib/style/skins/nrs/index.jsp	(revision 4079)
+++ lib/style/skins/nrs/index.jsp	(revision 4080)
@@ -30,6 +30,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
   
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
@@ -167,8 +168,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 <table width="760" border="0" cellspacing="0" cellpadding="0">
   <tr><td colspan="5">
@@ -269,7 +270,7 @@
 </table>
 <p>&nbsp;</p>
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
Index: lib/style/skins/saeon/SaeonLogin.jspx
===================================================================
--- lib/style/skins/saeon/SaeonLogin.jspx	(revision 4079)
+++ lib/style/skins/saeon/SaeonLogin.jspx	(revision 4080)
@@ -22,7 +22,7 @@
 	<jsp:element name="script">
 		<jsp:attribute name="language">JavaScript</jsp:attribute>
 		<jsp:attribute name="src">
-			<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/searchPathQuery.js"</jsp:expression>
+			<jsp:expression>CONTEXT_URL + "/style/skins/saeon/searchPathQuery.js"</jsp:expression>
 		</jsp:attribute>
 	</jsp:element>
 	<script type="text/javascript" language="JavaScript">
@@ -63,7 +63,7 @@
 		<jsp:attribute name="rel">stylesheet</jsp:attribute>
 		<jsp:attribute name="type">text/css</jsp:attribute>
 		<jsp:attribute name="href">
-			<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/saeon.css"</jsp:expression>
+			<jsp:expression>CONTEXT_URL + "/style/skins/saeon/saeon.css"</jsp:expression>
 		</jsp:attribute>
 	</jsp:element>
 </head>
@@ -273,7 +273,7 @@
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
-						<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/images/user.gif"</jsp:expression>
+						<jsp:expression>CONTEXT_URL + "/style/skins/saeon/images/user.gif"</jsp:expression>
 					</jsp:attribute>
 					<jsp:attribute name="alt">New User?</jsp:attribute>
 					<jsp:attribute name="title">User</jsp:attribute>
@@ -321,11 +321,11 @@
 			<jsp:element name="a">
 				<jsp:attribute name="target">_top</jsp:attribute>
 				<jsp:attribute name="href">
-					<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/index.jsp?action=Logout&amp;qformat=saeon"</jsp:expression>
+					<jsp:expression>CONTEXT_URL + "/style/skins/saeon/index.jsp?action=Logout&amp;qformat=saeon"</jsp:expression>
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
-						<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/images/user.gif"</jsp:expression>
+						<jsp:expression>CONTEXT_URL + "/style/skins/saeon/images/user.gif"</jsp:expression>
 					</jsp:attribute>
 					<jsp:attribute name="alt">logout</jsp:attribute>
 					<jsp:attribute name="title">User</jsp:attribute>
@@ -343,7 +343,7 @@
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
-						<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/images/user.gif"</jsp:expression>
+						<jsp:expression>CONTEXT_URL + "/style/skins/saeon/images/user.gif"</jsp:expression>
 					</jsp:attribute>
 					<jsp:attribute name="alt">reset password</jsp:attribute>
 					<jsp:attribute name="title">User</jsp:attribute>
@@ -361,7 +361,7 @@
 				</jsp:attribute>
 				<jsp:element name="img">
 					<jsp:attribute name="src">
-						<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/images/user.gif"</jsp:expression>
+						<jsp:expression>CONTEXT_URL + "/style/skins/saeon/images/user.gif"</jsp:expression>
 					</jsp:attribute>
 					<jsp:attribute name="alt">change password</jsp:attribute>
 					<jsp:attribute name="title">User</jsp:attribute>
@@ -392,7 +392,7 @@
 						<jsp:element name="form">
 							<jsp:attribute name="method">post</jsp:attribute>
 							<jsp:attribute name="action">
-								<jsp:expression>SERVER_URL_WITH_CONTEXT + "/style/skins/saeon/upload.jsp"</jsp:expression>
+								<jsp:expression>CONTEXT_URL + "/style/skins/saeon/upload.jsp"</jsp:expression>
 							</jsp:attribute>
 							<input type="submit" value="Go >" class="button_login" />
 						</jsp:element>
@@ -429,7 +429,7 @@
 		<div style="padding-left: 100px">
 		<!-- map frame -->
         <script language="JavaScript">
-            insertMap("<jsp:expression>SERVER_URL_WITH_CONTEXT</jsp:expression>");
+            insertMap("<jsp:expression>CONTEXT_URL</jsp:expression>");
         </script>
         </div>
 	</td>
Index: lib/style/skins/lter/advancedsearch.jsp
===================================================================
--- lib/style/skins/lter/advancedsearch.jsp	(revision 4079)
+++ lib/style/skins/lter/advancedsearch.jsp	(revision 4080)
@@ -236,7 +236,7 @@
           <td>&nbsp;</td>
           <td>
             <applet
-              CODEBASE="<%=SERVER_URL_WITH_CONTEXT%>/LiveMap_30"
+              CODEBASE="<%=CONTEXT_URL%>/LiveMap_30"
               CODE="LiveMap_30.class"
               ARCHIVE="LiveMap_30.jar"
               NAME="map" 
Index: lib/style/skins/lter/metacatlogin.jsp
===================================================================
--- lib/style/skins/lter/metacatlogin.jsp	(revision 4079)
+++ lib/style/skins/lter/metacatlogin.jsp	(revision 4080)
@@ -1,4 +1,4 @@
-<%@ page language="java"%>
+<%@ page language="java"  import="java.util.Vector,edu.ucsb.nceas.metacat.util.LDAPUtil"%>
 
 <!--
 /**
@@ -33,6 +33,10 @@
 <%@ include file="settings.jsp"%>
 <%@ include file="session_vars.jsp"%>
 
+<% 
+	Vector<String> organizationList = LDAPUtil.getOrganizations();
+%>
+
 <html>
 
   <head>
@@ -90,33 +94,13 @@
           </td>
           <td align="left">
             <select name="organization">
-              <option value="KU">
-                KU
-              </option>
-              <option value="LTER" selected="selected">
-                LTER
-              </option>
-              <option value="NCEAS">
-                NCEAS
-              </option>
-              <option value="OBFS">
-                OBFS
-              </option>
-              <option value="OSUBS">
-                OSUBS
-              </option>
-              <option value="PISCO">
-                PISCO
-              </option>
-              <option value="SDSC">
-                SDSC
-              </option>
-              <option value="UCNRS">
-                UCNRS
-              </option>
-              <option value="unaffiliated">
-                unaffiliated
-              </option>
+<%
+			for (String orgName : organizationList) {
+%>  
+              <option value="<%= orgName %>"><%= orgName %></option>
+<%
+			}
+%> 
             </select>
           </td>
           <td>
Index: lib/style/skins/esa/spatial/map.jsp
===================================================================
--- lib/style/skins/esa/spatial/map.jsp	(revision 4079)
+++ lib/style/skins/esa/spatial/map.jsp	(revision 4080)
@@ -29,6 +29,7 @@
 %>
 
 <%@ include file="../../../common/common-settings.jsp"%>
+<%@ include file="../../../common/configure-check.jsp"%>
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
 <html>
Index: lib/style/skins/knb2/index_map_only.jsp
===================================================================
--- lib/style/skins/knb2/index_map_only.jsp	(revision 4079)
+++ lib/style/skins/knb2/index_map_only.jsp	(revision 4080)
@@ -32,7 +32,7 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
-<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+<%@ page import="edu.ucsb.nceas.metacat.service.PropertyService" %>
 
 <%
 ///////////////////////////////////////////////////////////////////////////////
@@ -94,7 +94,7 @@
             </table></td>
         </tr>
 
-	<% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
+	<% if ( PropertyService.getProperty("runSpatialOption").equals("true") ) { %>
         <tr>
           <td class="text_plain"><%@ include file="include_map.jsp" %></td>
         </tr>
Index: lib/style/skins/specnet/searchform.jsp
===================================================================
--- lib/style/skins/specnet/searchform.jsp	(revision 4079)
+++ lib/style/skins/specnet/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: lib/style/skins/nrs/map.jsp
===================================================================
--- lib/style/skins/nrs/map.jsp	(revision 4079)
+++ lib/style/skins/nrs/map.jsp	(revision 4080)
@@ -30,12 +30,13 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
    
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
 <title>UCNRS Data Registry Interactive Map</title>
-<link rel="stylesheet" href="<%=SERVER_URL_WITH_CONTEXT%>/style/default.css" type="text/css">
+<link rel="stylesheet" href="<%=CONTEXT_URL%>/style/default.css" type="text/css">
   <link rel="stylesheet" type="text/css" 
         href="<%=STYLE_SKINS_URL%>/nrs/nrs.css"></link>
   <script language="JavaScript" type="text/JavaScript"
@@ -45,8 +46,8 @@
 </head>
 <body>
       <script language="JavaScript">
-          insertTemplateOpening("<%=SERVER_URL_WITH_CONTEXT%>");
-          //insertSearchBox("<%=SERVER_URL_WITH_CONTEXT%>");
+          insertTemplateOpening("<%=CONTEXT_URL%>");
+          //insertSearchBox("<%=CONTEXT_URL%>");
       </script>
 
 <iframe scrolling="no" frameborder="0" width="750" height="520" src="spatial/map.jsp">
@@ -54,7 +55,7 @@
 </iframe>
 
 <script language="JavaScript">          
-    insertTemplateClosing("<%=SERVER_URL_WITH_CONTEXT%>");
+    insertTemplateClosing("<%=CONTEXT_URL%>");
 </script>
 </body>
 </html>
